API reference
Langflow API reference
low-code visual builder for AI agents and workflows, served through a REST API, MCP and A2A servers, and the LFX runtime
- Identifiers
- 103
- With full guides
- 0
- Types
- 7
Topics covered
- Flows & components
- Run API & tweaks
- Workflow API (v2)
- Webhooks
- MCP server & client
- Custom Python components
- LFX runtime
- Deployment & authentication
Class
| Name | What it does |
|---|
Component | Class |
Output | Class |
Message | Class |
JSON | Class |
Table | Class |
LangflowClient | Class |
Component
| Name | What it does |
|---|
Chat Input | Component |
Chat Output | Component |
Agent | Component |
Language Model | Component |
Embedding Model | Component |
Prompt Template | Component |
Message History | Component |
Structured Output | Component |
Parser | Component |
Split Text | Component |
Loop | Component |
If-Else | Component |
Smart Router | Component |
Run Flow | Component |
URL | Component |
Web Search | Component |
Python Interpreter | Component |
MCP Tools | Component |
Webhook | Component |
Knowledge Base | Component |
Guardrails | Component |
Batch Run | Component |
Human Input | Component |
langflow-chat | Component |
API Request | Component |
Read File | Component |
Write File | Component |
Type Convert | Component |
Smart Transform | Component |
SQL Database | Component |
LLM Selector | Component |
Calculator | Component |
Current Date | Component |
Function
| Name | What it does |
|---|
update_build_config | Function |
Const
| Name | What it does |
|---|
LANGFLOW_AUTO_LOGIN | Const |
LANGFLOW_SUPERUSER | Const |
LANGFLOW_SECRET_KEY | Const |
LANGFLOW_DATABASE_URL | Const |
LANGFLOW_API_KEY_SOURCE | Const |
LANGFLOW_COMPONENTS_PATH | Const |
LANGFLOW_WORKERS | Const |
LANGFLOW_CONFIG_DIR | Const |
LANGFLOW_TWEAKS_POLICY | Const |
LANGFLOW_WEBHOOK_AUTH_ENABLE | Const |
LANGFLOW_VARIABLES_TO_GET_FROM_ENVIRONMENT | Const |
LANGFLOW_CACHE_TYPE | Const |
LANGFLOW_LOAD_FLOWS_PATH | Const |
X-LANGFLOW-GLOBAL-VAR-* | Const |
Module
| Name | What it does |
|---|
Flow | Module |
Components & ports | Module |
Tweaks | Module |
Session ID | Module |
Global variables | Module |
Tool Mode | Module |
Playground | Module |
Projects | Module |
LangSmith & tracing integrations | Module |
Voice mode | Module |
Command
| Name | What it does |
|---|
uv pip install langflow | Command |
langflow run | Command |
langflow superuser | Command |
langflow api-key | Command |
langflow migration | Command |
langflow copy-db | Command |
docker run langflowai/langflow | Command |
lfx run | Command |
lfx serve | Command |
lfx push | Command |
Service
| Name | What it does |
|---|
POST /api/v1/run/{flow_id} | Service |
POST /api/v1/run/advanced/{flow_id} | Service |
POST /api/v1/webhook/{flow_id} | Service |
POST /api/v2/workflows | Service |
GET /api/v2/workflows | Service |
GET /api/v2/workflows/{job_id}/events | Service |
POST /api/v2/workflows/stop | Service |
POST /api/v1/responses | Service |
POST /api/v1/build/{flow_id}/flow | Service |
POST /api/v1/flows/ | Service |
GET /api/v1/flows/ | Service |
PATCH /api/v1/flows/{flow_id} | Service |
POST /api/v1/flows/upload/ | Service |
POST /api/v1/flows/download/ | Service |
POST /api/v1/projects/ | Service |
GET /api/v1/projects/download/{project_id} | Service |
POST /api/v1/files/upload/{flow_id} | Service |
POST /api/v2/files | Service |
GET /api/v1/monitor/messages | Service |
GET /api/v1/monitor/builds | Service |
GET /api/v1/monitor/traces | Service |
GET /logs-stream | Service |
POST /api/v1/users/ | Service |
GET /api/v1/users/whoami | Service |
POST /api/v1/api_key/ | Service |
GET /health_check | Service |
GET /api/v1/all | Service |
/api/v1/mcp/project/{project_id}/streamable | Service |
POST /api/v1/a2a/{flow_id}/jsonrpc | Service |
Search across every package and filter by type in your dashboard.
Start learning